aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-werkzeug
diff options
context:
space:
mode:
authorprspkt <prspkt@protonmail.com>2019-04-27 20:18:56 +0300
committerNatanael Copa <ncopa@alpinelinux.org>2019-05-05 19:25:02 +0000
commit735e317438ee9265c11363fdbd6e916966b31da3 (patch)
treeafabe18a10a45ac31638fb1a4ed5e62c952f7516 /main/py-werkzeug
parent7c7348c01d1268a15733e6a9a736726e9c45ee61 (diff)
downloadaports-735e317438ee9265c11363fdbd6e916966b31da3.tar.gz
aports-735e317438ee9265c11363fdbd6e916966b31da3.tar.bz2
aports-735e317438ee9265c11363fdbd6e916966b31da3.tar.xz
Revert "community/py-werkzeug: upgrade to 0.15.2"
Upstream package dependencies are not allowed. Thus, moving py-werkzeug to the community repository breaks main/py-flask. This reverts commit f992dc44490b02fff8a0e045a350a39df4af1bdd.
Diffstat (limited to 'main/py-werkzeug')
-rw-r--r--main/py-werkzeug/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/main/py-werkzeug/APKBUILD b/main/py-werkzeug/APKBUILD
new file mode 100644
index 0000000000..b42d223b48
--- /dev/null
+++ b/main/py-werkzeug/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor:
+# Maintainer: prspkt <prspkt@protonmail.com>
+pkgname=py-werkzeug
+_pkgname=Werkzeug
+pkgver=0.14.1
+pkgrel=1
+pkgdesc="The WSGI swiss-army knife"
+url="http://werkzeug.pocoo.org/"
+arch="noarch"
+license="MIT"
+depends=""
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+
+ python2 setup.py build || return 1
+ python3 setup.py build
+}
+
+package() {
+ mkdir -p "$pkgdir"
+}
+
+_py2() {
+ replaces="$pkgname"
+ _py python2
+}
+
+_py3() {
+ _py python3
+}
+
+_py() {
+ local python="$1"
+ pkgdesc="$pkgdesc (for $python)"
+ depends="$depends $python"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+sha512sums="64976cc46c1cee2203112c50aba6f9404d4e48d4a90f8b11837148b5415a28572b7e706095586045a46879e853fc5a80c63e7bf0c13eda29d564a37b4a554c0b Werkzeug-0.14.1.tar.gz"